Get Model Version Live Metrics
curl --request GET \
--url https://api.example.com/models/{model_id}/versions/{version_id}/live-metrics/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/models/{model_id}/versions/{version_id}/live-metrics/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/models/{model_id}/versions/{version_id}/live-metrics/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"lifecycle": {
"current_phase": "queued",
"phase_started_at": "2023-11-07T05:31:56Z",
"elapsed_seconds": 1,
"heartbeat_at": "2023-11-07T05:31:56Z",
"heartbeat_source": "<string>",
"latest_log": {
"message": "<string>",
"source": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"phases": [
{
"name": "queued",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"elapsed_seconds": 1
}
]
},
"schema_version": "training-metrics.v3",
"sequence": 0,
"updated_at": "2023-11-07T05:31:56Z",
"metrics": {},
"series": {},
"primary_metric": {},
"active_segment": 0,
"segments": [
{}
],
"resources": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}models
Get Model Version Live Metrics
GET
/
models
/
{model_id}
/
versions
/
{version_id}
/
live-metrics
/
Get Model Version Live Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Show child attributes
Show child attributes
Required range:
x >= 0